Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface InvalidComputeMethodSignature

public interface InvalidComputeMethodSignature

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`get()`
`default String`
`invalidMethod(jakarta.ws.rs.client.ClientRequestContext context, jakarta.ws.rs.client.ClientRequestContext someOtherArg)`
`default String`
`invalidMethod(jakarta.ws.rs.client.ClientRequestContext context, Date someOtherArg)`
`default String`
`invalidMethod(Double unexpectedArg)`
`default String`
`invalidMethod(String headerName, Integer someOtherArg)`
`default String`
`invalidMethod(String headerName, String someOtherArg)`

## Method Details

### invalidMethod

default String invalidMethod(String headerName, String someOtherArg)

### invalidMethod

default String invalidMethod(String headerName, Integer someOtherArg)

### invalidMethod

default String invalidMethod(jakarta.ws.rs.client.ClientRequestContext context, jakarta.ws.rs.client.ClientRequestContext someOtherArg)

### invalidMethod

default String invalidMethod(jakarta.ws.rs.client.ClientRequestContext context, Date someOtherArg)

### invalidMethod

default String invalidMethod(Double unexpectedArg)

### get

@ClientHeaderParam(name="TestHeader", value="{invalidMethod}") @GET jakarta.ws.rs.core.Response get()